Create Subscriber

Create a single subscriber.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

To find available keywords or inspect keyword replies, use Get Keywords endpoint.

Note

  • Adding the field shopify_customer_id or email to the subscriber object will help Postscript identify which Shopify customer belongs to the phone number you are sending.

  • The tags and properties fields will be stored on the subscriber, so those subscribers can later be filtered into segments using these values.

  • You need to pass either a keyword_id or keyword body parameter when adding a subscriber.

  • If adding a new subscriber, note that a subscriber does not become a full subscriber until after they have opted in. That means, you'll initially get back a pending subscriber id. This id cannot be used to fetch an active subscriber. To get the subscriber's id when they opt in, you'll need to set up a webhook to listen to our shop.subscriber.opt_in event and get it there.

❗️

Text Messaging Compliance

All subscribers added using this endpoint will be required to confirm they have opted in to receive recurring automated messages. If a subscriber does not confirm, then they are not added to a merchant's subscriber list.

For more information about compliance, see our guide here.

Body Params
string
required

ID of the Keyword that the subscriber should be added to.

string
required

The Keyword to which the subscriber should be subscribed to.

string
required

The phone number for the subscriber

string
enum
Defaults to other

Where the subscriber originated from.

Allowed:
int32

A reference to the Shopify Customer record for the subscriber

string

In addition to storing an email on a subscriber, an email address is also used to look up a Shopify Customer record if shopify_customer_id isn't provided.

tags
array of strings

An array of string tag values that can be used in user segmentation or filtering.

tags
json
Defaults to {"key": "value"}

Custom properties as key/value pairs. Values can be: strings, integers, string arrays, or ISO 8601 date(time). Subscribers can have up to 20 custom properties. If properties is unset or null, it will be ignored.

Headers
string

Shop API Token. Required for partners. This header should be used only by partners. Shops should include their API token in the Authorization header.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json